> For the complete documentation index, see [llms.txt](https://docs.cipp.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cipp.app/user-documentation/identity/administration/group-templates/add.md).

# Add Group Template

This page will allow you to create a group template for ease of deployment to your clients' tenants. Enter the group's "Display Name", "Description", and "Username" before selecting the radial for the group type you'd like to set.

{% hint style="warning" %}
Username equals the Microsoft 365 mailNickname/alias. It must be unique per tenant. Because of this it must be overwritten after cloning an existing group.&#x20;
{% endhint %}

## Additional Group Type Settings

| Group Type                  | Additional Settings                                                                                                                                                        |
| --------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Azure Role Group            | None                                                                                                                                                                       |
| Security Group              | Licenses - You can select the licenses assigned to the group. Note that to be compliant with Microsoft licensing, the tenant should be licensed for Entra ID P1 or higher. |
| Microsoft 365 Group         | None                                                                                                                                                                       |
| Dynamic Group               | Dynamic Group Parameters (see below)                                                                                                                                       |
| Dynamic Distribution Group  | Dynamic Group Parameters ( see below)                                                                                                                                      |
| Distribution List           | Let people outside the organization email the group - Allows the group to receive messages from both inside and outside the organization.                                  |
| Mail Enabled Security Group | None                                                                                                                                                                       |

### **Dynamic Group Parameters**

For Dynamic Groups, a text box for entering the dynamic group parameters syntax becomes available e.g.: `(user.userPrincipalName -notContains "#EXT#@") -and (user.userType -ne "Guest")`.

***

## Feature Requests / Ideas

We value your feedback and ideas. Please raise any [feature requests](https://github.com/KelvinTegelaar/CIPP/issues/new?template=feature.yml) on GitHub.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cipp.app/user-documentation/identity/administration/group-templates/add.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
